/* tslint:disable */
/* eslint-disable */
/**
 * Golemio COVID-19 Prague API
 * API for multiple reservation system for samling points of COVID19
 *
 * The version of the OpenAPI document: 1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
import {
    SamplingPoint,
    SamplingPointFromJSON,
    SamplingPointFromJSONTyped,
    SamplingPointToJSON,
    SamplingPointsOutputGeometry,
    SamplingPointsOutputGeometryFromJSON,
    SamplingPointsOutputGeometryFromJSONTyped,
    SamplingPointsOutputGeometryToJSON,
} from './';

/**
 * 
 * @export
 * @interface SamplingPointsOutputFeatures
 */
export interface SamplingPointsOutputFeatures {
    /**
     * 
     * @type {SamplingPointsOutputGeometry}
     * @memberof SamplingPointsOutputFeatures
     */
    geometry: SamplingPointsOutputGeometry;
    /**
     * 
     * @type {SamplingPoint}
     * @memberof SamplingPointsOutputFeatures
     */
    properties: SamplingPoint;
    /**
     * 
     * @type {string}
     * @memberof SamplingPointsOutputFeatures
     */
    type: SamplingPointsOutputFeaturesTypeEnum;
}

export function SamplingPointsOutputFeaturesFromJSON(json: any): SamplingPointsOutputFeatures {
    return SamplingPointsOutputFeaturesFromJSONTyped(json, false);
}

export function SamplingPointsOutputFeaturesFromJSONTyped(json: any, ignoreDiscriminator: boolean): SamplingPointsOutputFeatures {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'geometry': SamplingPointsOutputGeometryFromJSON(json['geometry']),
        'properties': SamplingPointFromJSON(json['properties']),
        'type': json['type'],
    };
}

export function SamplingPointsOutputFeaturesToJSON(value?: SamplingPointsOutputFeatures | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'geometry': SamplingPointsOutputGeometryToJSON(value.geometry),
        'properties': SamplingPointToJSON(value.properties),
        'type': value.type,
    };
}

/**
* @export
* @enum {string}
*/
export enum SamplingPointsOutputFeaturesTypeEnum {
    Feature = 'Feature'
}


